Bug 178094

Summary: math/py-numpy dependency on atlas assumes existing install of atlas
Product: Ports & Packages Reporter: Justin Hibbits <jhibbits>
Component: Individual Port(s)Assignee: Kubilay Kocak <koobs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Justin Hibbits freebsd_committer 2013-04-24 00:20:00 UTC
When attempting to build math/py-numpy with atlas support using portmaster, math/py-numpy will error in the prebuild check because math/atlas isn't compiled yet (will be compiled as part of the build).  This breaks dependency-based builds of py-numpy with atlas.

How-To-Repeat: Attempt to build math/py-numpy without an existing math/atlas install.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-24 00:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-24 00:20:08 UTC
Maintainer of math/py-numpy,

Please note that PR ports/178094 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178094

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-04-24 00:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 koobs 2013-10-29 10:03:20 UTC
Hi Justin,

Can you confirm whether or not this is still an issue for you please.

I'd like to feedback->open this PR with maintainer-timeout if so someone
can take care of this for you, and feedback->close if not.
Comment 5 Justin Hibbits freebsd_committer 2013-10-31 00:08:41 UTC
Hi Kubilay,

On Tue, Oct 29, 2013 at 3:03 AM, Kubilay Kocak <koobs.freebsd@gmail.com>wrote:
>
> Can you confirm whether or not this is still an issue for you please.
>
> I'd like to feedback->open this PR with maintainer-timeout if so someone
> can take care of this for you, and feedback->close if not.
>
>
This is indeed still a problem.  It lies in line 59, where it checks for a
static library.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2013-10-31 08:56:53 UTC
State Changed
From-To: feedback->open

maintainer timeout
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2013-12-14 06:07:13 UTC
Responsible Changed
From-To: freebsd-python->koobs

I'll take it.
Comment 8 dfilter service freebsd_committer 2013-12-14 06:44:46 UTC
Author: koobs
Date: Sat Dec 14 06:44:38 2013
New Revision: 336423
URL: http://svnweb.freebsd.org/changeset/ports/336423

Log:
  math/py-numpy: Fix static library check that assumes atlas is installed
  
  - Use BUILD_DEPENDS to check for the atlas static library at pre-build
    time instead of checking if the file exists (False if atlas is not
    installed)
  
  - Replace IGNORE with a message to the user notifying them that
    an atlas install WITH_STATIC is needed, and provide clues as possible
    actions without being too prescriptive.
  
  As discussed with eadler@, a correct resolution to "ports depending on other ports with specific OPTIONS" is either an atlas slave port
  (ie: atlas-static), or to modify atlas to install both shared and static
  libraries.
  
  This change is a net gain on the existing broken behaviour, by fixing
  the check, while retaining the user notification.
  
  PR:		ports/178094
  Reviewed by:	jhibbits, eadler
  Approved by:	maintainer timeout (7+ months)

Modified:
  head/math/py-numpy/Makefile

Modified: head/math/py-numpy/Makefile
==============================================================================
--- head/math/py-numpy/Makefile	Sat Dec 14 06:04:59 2013	(r336422)
+++ head/math/py-numpy/Makefile	Sat Dec 14 06:44:38 2013	(r336423)
@@ -56,9 +56,14 @@ DISTFILES+=	${FP_ARCH}/fenv.c?p=203441:f
 
 .if ${PORT_OPTIONS:MATLAS}
 LIB_DEPENDS+=	atlas.2:${PORTSDIR}/math/atlas
-.if !exists(${LOCALBASE}/lib/libalapack.a)
-IGNORE=	atlas needs to be built with WITH_STATIC for numpy to function properly
-.endif
+BUILD_DEPENDS+=	${LOCALBASE}/lib/libalapack.a
+@${ECHO_MSG}
+@${ECHO_MSG} "Atlas *must* be built with the WITH_STATIC option"
+@${ECHO_MSG} "for numpy to function correctly. Ensure it is"
+@${ECHO_MSG} "selected in the configuration dialog when prompted, or"
+@${ECHO_MSG} "Ctrl-C now and reinstall the atlas port with the option"
+@${ECHO_MSG} "enabled.
+sleep 5
 .else
 LIB_DEPENDS+=	lapack.4:${PORTSDIR}/math/lapack \
 		blas.2:${PORTSDIR}/math/blas
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2013-12-14 06:46:03 UTC
State Changed
From-To: open->closed

Committed. Thank you for your submission Justin!